Subject: transfer log file

From: "Mark M. Gray" <[email-masked]>
Date: Fri, 11 Oct 1996 11:14:14 -0500 (CDT)

I've got a problem getting commands and tranfers to log to my xferlog file.
I am running the TCP wrapper software in addition to the wu-ftpd software

here is the ftp line from my inetd.conf file

ftp     stream  tcp     nowait  root    /usr/sbin/tcpd  /usr/local/etc/ftpd -a

I have the pathnames.h file listed here as well

#define _PATH_FTPUSERS  "/etc/ftpusers"
#define _PATH_FTPACCESS "/usr/local/etc/ftpaccess"
#define _PATH_EXECPATH  "/bin/ftp-exec"
#define _PATH_PIDNAMES  "/usr/local/daemon/ftpd/ftp.pids-%s"
#define _PATH_CVT       "/usr/local/etc/ftpconversions"
#define _PATH_XFERLOG   "/var/adm/xferlog"
#define _PATH_PRIVATE   "/etc/ftpgroups"
 
#ifndef _PATH_UTMP
#define _PATH_UTMP      "/var/adm/utmp"
#define _PATH_WTMP      "/var/adm/wtmp"
#define _PATH_LASTLOG   "/var/adm/lastlog"
#endif
 
#define _PATH_BSHELL    "/bin/sh"
#define _PATH_DEVNULL   "/dev/null"
 
#ifdef  HOST_ACCESS
#define _PATH_FTPHOSTS  "/usr/local/etc/ftphosts"
#endif

the file /var/adm/xferlog has the followin permissions.

 0 -rw-rw-rw-   1 root     other          0 Oct 10 10:56 xferlog

I am running on a solaris 2.5 system.

any help will be greatly appreciated.

Mark Gray

[email-masked]